package com.dbxml.xml.dtsm;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: Consumer.java,v 1.3 2004/02/12 00:17:58 bradford Exp $
 */


/**
 * Consumer
 */

public interface Consumer {
   void setDocumentTable(DocumentTable table);

   void beginDocument(DocumentTableEntry entry) throws Exception;

   void endDocument(DocumentTableEntry entry) throws Exception;

   void beginElement(DocumentTableEntry entry) throws Exception;

   void endElement(DocumentTableEntry entry) throws Exception;

   void attribute(DocumentTableEntry entry) throws Exception;

   void procInst(DocumentTableEntry entry) throws Exception;

   void text(DocumentTableEntry entry) throws Exception;

   void cdata(DocumentTableEntry entry) throws Exception;

   void comment(DocumentTableEntry entry) throws Exception;

   void docType(DocumentTableEntry entry) throws Exception;

   void entity(DocumentTableEntry entry) throws Exception;

   void entityRef(DocumentTableEntry entry) throws Exception;

   void notation(DocumentTableEntry entry) throws Exception;
}
